<?xml version="1.0" encoding="utf-8"?>
<!--
 Copyright (C) 2008,2009  OMRON SOFTWARE Co., Ltd.

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
-->
<Keyboard xmlns:android="http://schemas.android.com/apk/res/android"
	  android:keyWidth="10%p"
	  android:horizontalGap="0dip"
	  android:verticalGap="0dip"
	  android:keyHeight="@dimen/key_height"
	  >

  <Row>
    <Key android:codes="49" android:keyLabel="1" android:keyEdgeFlags="left"/>
    <Key android:codes="50" android:keyLabel="2"/>
    <Key android:codes="51" android:keyLabel="3"/>
    <Key android:codes="52" android:keyLabel="4"/>
    <Key android:codes="53" android:keyLabel="5"/>
    <Key android:codes="54" android:keyLabel="6"/>
    <Key android:codes="55" android:keyLabel="7"/>
    <Key android:codes="56" android:keyLabel="8"/>
    <Key android:codes="57" android:keyLabel="9"/>
    <Key android:codes="48" android:keyLabel="0" android:keyEdgeFlags="right"/>
  </Row>
  
  <Row>
    <Key android:codes="64" android:keyLabel="\@" android:keyEdgeFlags="left"/>
    <Key android:codes="94" android:keyLabel="^"/>
    <Key android:codes="165" android:keyLabel="￥"/>
    <Key android:codes="36" android:keyLabel="$"/>
    <Key android:codes="91" android:keyLabel="["/>
    <Key android:codes="93" android:keyLabel="]" />
    <Key android:codes="95" android:keyLabel="_"/>
    <Key android:codes="61" android:keyLabel="="/>
    <Key android:codes="123" android:keyLabel="{"/>
    <Key android:codes="125" android:keyLabel="}" android:keyEdgeFlags="right"/>
  </Row>
  
  <Row>
    <Key android:codes="-1"
	 android:keyIcon="@drawable/key_qwerty_shift" android:iconPreview="@drawable/key_qwerty_shift_b"
         android:keyWidth="15%p" android:isModifier="true"
         android:isSticky="true" android:keyEdgeFlags="left"/>
    <Key android:codes="126" android:keyLabel="~"/>
    <Key android:codes="96" android:keyLabel="`"/>
    <Key android:codes="39" android:keyLabel="\'"/>
    <Key android:codes="60" android:keyLabel="&lt;"/>
    <Key android:codes="62" android:keyLabel="&gt;"/>
    <Key android:codes="92" android:keyLabel="\\" />
    <Key android:codes="124" android:keyLabel="|"/>
    <Key android:codes="-100"
	 android:keyIcon="@drawable/key_qwerty_del" android:iconPreview="@drawable/key_qwerty_del_b"
	 android:keyWidth="15%p" android:keyEdgeFlags="right" android:isRepeatable="true"/>
  </Row>
  
  <Row android:rowEdgeFlags="bottom">
    <Key android:codes="-114" android:keyLabel="ALT"
	 android:popupKeyboard="@xml/default_cn_switch_key"
         android:keyWidth="15%p" android:keyEdgeFlags="left"/>
    <Key android:codes="-106" android:keyLabel="SYM" android:keyWidth="10%p"/>
    <Key android:codes="44" android:keyLabel="," android:keyWidth="10%p"/>
    <Key android:codes="32"
	 android:keyIcon="@drawable/key_qwerty_space" android:iconPreview="@drawable/key_qwerty_space_b" 
         android:keyWidth="30%p" android:isRepeatable="true"/>
    <Key android:codes="46" android:keyLabel="."  android:keyWidth="10%p"/>
    <Key android:codes="63" android:keyLabel="\?" android:keyWidth="10%p"/>
    <Key android:codes="-101"
	 android:keyIcon="@drawable/key_qwerty_enter" android:iconPreview="@drawable/key_qwerty_enter_b" 
         android:keyWidth="15%p" android:keyEdgeFlags="right"/>
  </Row>
</Keyboard>
